Package com.zoho.analytics.jdbc

## Class ZohoAnalyticsResultSet

- java.lang.Object
- - com.zoho.analytics.jdbc.ZohoAnalyticsWrapper
  - - com.zoho.analytics.jdbc.ZohoAnalyticsResultSet

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `java.sql.ResultSet`, `java.sql.Wrapper`

      public class ZohoAnalyticsResultSet
      extends ZohoAnalyticsWrapper
      implements java.sql.ResultSet

  A table of data representing a database result set, which is usually generated by executing a statement that queries the database.
  See Also:
    ResultSet

- - ### Field Summary

    - ### Fields inherited from interface java.sql.ResultSet

      `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `absolute​(int row)` | `See absolute`
    `void` | `afterLast()` | `See afterLast`
    `void` | `beforeFirst()` | `See beforeFirst`
    `void` | `cancelRowUpdates()` | `See cancelRowUpdates`
    `void` | `clearWarnings()` | `See clearWarnings`
    `void` | `close()` | `See close`
    `void` | `deleteRow()` | Not implemented.
    `int` | `findColumn​(java.lang.String columnName)` | `See findColumn`
    `boolean` | `first()` | `See first`
    `java.sql.Array` | `getArray​(int columnIndex)` | Not implemented.
    `java.sql.Array` | `getArray​(java.lang.String columnName)` | Not implemented.
    `java.io.InputStream` | `getAsciiStream​(int columnIndex)` | `See getAsciiStream`
    `java.io.InputStream` | `getAsciiStream​(java.lang.String columnName)` | `See getAsciiStream`
    `java.math.BigDecimal` | `getBigDecimal​(int columnIndex)` | `See getBigDecimal`
    `java.math.BigDecimal` | `getBigDecimal​(int columnIndex, int scale)` | Deprecated.
    `java.math.BigDecimal` | `getBigDecimal​(java.lang.String columnName)` | `See getBigDecimal`
    `java.math.BigDecimal` | `getBigDecimal​(java.lang.String columnName, int scale)` | Deprecated.
    `java.io.InputStream` | `getBinaryStream​(int columnIndex)` | `See getBinaryStream`
    `java.io.InputStream` | `getBinaryStream​(java.lang.String columnName)` | `See getBinaryStream`
    `java.sql.Blob` | `getBlob​(int columnIndex)` | Not implemented.
    `java.sql.Blob` | `getBlob​(java.lang.String columnName)` | Not implemented.
    `boolean` | `getBoolean​(int columnIndex)` | `See getBoolean`
    `boolean` | `getBoolean​(java.lang.String columnName)` | `See getBoolean`
    `byte` | `getByte​(int columnIndex)` | `See getByte`
    `byte` | `getByte​(java.lang.String columnName)` | `See getByte`
    `byte[]` | `getBytes​(int columnIndex)` | `See getBytes`
    `byte[]` | `getBytes​(java.lang.String columnName)` | `See getBytes`
    `java.io.Reader` | `getCharacterStream​(int columnIndex)` | `See getCharacterStream`
    `java.io.Reader` | `getCharacterStream​(java.lang.String columnName)` | `See getCharacterStream`
    `java.sql.Clob` | `getClob​(int param)` | Not implemented.
    `java.sql.Clob` | `getClob​(java.lang.String str)` | Not implemented.
    `int` | `getConcurrency()` | `See getConcurrency`
    `java.lang.String` | `getCursorName()` | `See getCursorName`
    `java.sql.Date` | `getDate​(int columnIndex)` | `See getDate`
    `java.sql.Date` | `getDate​(int param, java.util.Calendar calendar)` | Not implemented.
    `java.sql.Date` | `getDate​(java.lang.String columnName)` | `See getDate`
    `java.sql.Date` | `getDate​(java.lang.String str, java.util.Calendar calendar)` | Not implemented.
    `double` | `getDouble​(int columnIndex)` | `See getDouble`
    `double` | `getDouble​(java.lang.String columnName)` | `See getDouble`
    `int` | `getFetchDirection()` | `See getFetchDirection`
    `int` | `getFetchSize()` | `See getFetchSize`
    `float` | `getFloat​(int columnIndex)` | `See getFloat`
    `float` | `getFloat​(java.lang.String columnName)` | `See getFloat`
    `int` | `getHoldability()` | `see getHoldability`
    `int` | `getInt​(int columnIndex)` | `See getInt`
    `int` | `getInt​(java.lang.String columnName)` | `See getInt`
    `long` | `getLong​(int columnIndex)` | `See getLong`
    `long` | `getLong​(java.lang.String columnName)` | `See getLong`
    `java.sql.ResultSetMetaData` | `getMetaData()` | `See getMetaData`
    `java.io.Reader` | `getNCharacterStream​(int columnIndex)` | `see getNCharacterStream`
    `java.io.Reader` | `getNCharacterStream​(java.lang.String columnLabel)` | `see getNCharacterStream`
    `java.sql.NClob` | `getNClob​(int columnIndex)` | `see getNClob`
    `java.sql.NClob` | `getNClob​(java.lang.String columnLabel)` | `see getNClob`
    `java.lang.String` | `getNString​(int columnIndex)` | `see getNString`
    `java.lang.String` | `getNString​(java.lang.String columnLabel)` | `see getNString`
    `java.lang.Object` | `getObject​(int columnIndex)` | `See getObject`
    `<T> T` | `getObject​(int columnIndex, java.lang.Class<T> type)` |
    `java.lang.Object` | `getObject​(int columnIndex, java.util.Map map)` | `See getObject`
    `java.lang.Object` | `getObject​(java.lang.String columnName)` | `See getObject`
    `<T> T` | `getObject​(java.lang.String columnLabel, java.lang.Class<T> type)` |
    `java.lang.Object` | `getObject​(java.lang.String columnName, java.util.Map map)` | `See getObject`
    `java.sql.Ref` | `getRef​(int columnIndex)` | Not implemented.
    `java.sql.Ref` | `getRef​(java.lang.String columnName)` | Not implemented.
    `int` | `getRow()` | `See getRow`
    `java.sql.RowId` | `getRowId​(int columnIndex)` | `see getRowId`
    `java.sql.RowId` | `getRowId​(java.lang.String columnLabel)` | `see getRowId`
    `short` | `getShort​(int columnIndex)` | `See getShort`
    `short` | `getShort​(java.lang.String columnName)` | `See getShort`
    `java.sql.SQLXML` | `getSQLXML​(int columnIndex)` | `see getSQLXML`
    `java.sql.SQLXML` | `getSQLXML​(java.lang.String columnLabel)` | `see getSQLXML`
    `java.sql.Statement` | `getStatement()` | `See getStatement`
    `java.lang.String` | `getString​(int columnIndex)` | `See getString`
    `java.lang.String` | `getString​(java.lang.String columnName)` | `See getString`
    `java.sql.Time` | `getTime​(int columnIndex)` | `see getTime`
    `java.sql.Time` | `getTime​(int columnIndex, java.util.Calendar calendar)` | Not implemented.
    `java.sql.Time` | `getTime​(java.lang.String columnName)` | `see getTime`
    `java.sql.Time` | `getTime​(java.lang.String columnName, java.util.Calendar calendar)` | Not implemented.
    `java.sql.Timestamp` | `getTimestamp​(int columnIndex)` | `see getTimestamp`
    `java.sql.Timestamp` | `getTimestamp​(int columnIndex, java.util.Calendar calendar)` | Not implemented.
    `java.sql.Timestamp` | `getTimestamp​(java.lang.String columnName)` | `see getTimestamp`
    `java.sql.Timestamp` | `getTimestamp​(java.lang.String columnName, java.util.Calendar calendar)` | Not implemented.
    `int` | `getType()` | `see getType`
    `java.io.InputStream` | `getUnicodeStream​(int columnIndex)` | Deprecated.
    `java.io.InputStream` | `getUnicodeStream​(java.lang.String columnName)` | Deprecated.
    `java.net.URL` | `getURL​(int columnIndex)` | Not implemented.
    `java.net.URL` | `getURL​(java.lang.String columnName)` | Not implemented.
    `java.sql.SQLWarning` | `getWarnings()` | `see getWarnings`
    `void` | `insertRow()` | Not implemented.
    `boolean` | `isAfterLast()` | `see isAfterLast`
    `boolean` | `isBeforeFirst()` | `see isBeforeFirst`
    `boolean` | `isClosed()` | `see isClosed`
    `boolean` | `isFirst()` | `see isFirst`
    `boolean` | `isLast()` | `see isLast`
    `boolean` | `last()` | `see last`
    `void` | `moveToCurrentRow()` | `see moveToCurrentRow`
    `void` | `moveToInsertRow()` | `see moveToInsertRow`
    `boolean` | `next()` | `see next`
    `boolean` | `previous()` | `see previous`
    `void` | `refreshRow()` | `see refreshRow`
    `boolean` | `relative​(int rows)` | `see relative`
    `boolean` | `rowDeleted()` | Not implemented.
    `boolean` | `rowInserted()` | Not implemented.
    `boolean` | `rowUpdated()` | Not implemented.
    `void` | `setFetchDirection​(int direction)` | `see setFetchDirection`
    `void` | `setFetchSize​(int size)` | `see setFetchSize`
    `void` | `updateArray​(int columnIndex, java.sql.Array array)` | Not implemented.
    `void` | `updateArray​(java.lang.String columnName, java.sql.Array array)` | Not implemented.
    `void` | `updateAsciiStream​(int columnIndex, java.io.InputStream x)` | `see updateAsciiStream`
    `void` | `updateAsciiStream​(int columnIndex, java.io.InputStream inputStream, int length)` | Not implemented.
    `void` | `updateAsciiStream​(int columnIndex, java.io.InputStream x, long length)` | `see updateAsciiStream`
    `void` | `updateAsciiStream​(java.lang.String columnLabel, java.io.InputStream x)` | `see updateAsciiStream`
    `void` | `updateAsciiStream​(java.lang.String columnName, java.io.InputStream inputStream, int length)` | Not implemented.
    `void` | `updateAsciiStream​(java.lang.String columnLabel, java.io.InputStream x, long length)` | `see updateAsciiStream`
    `void` | `updateBigDecimal​(int columnIndex, java.math.BigDecimal bigDecimal)` | Not implemented.
    `void` | `updateBigDecimal​(java.lang.String columnName, java.math.BigDecimal bigDecimal)` | Not implemented.
    `void` | `updateBinaryStream​(int columnIndex, java.io.InputStream x)` | `see updateBinaryStream`
    `void` | `updateBinaryStream​(int columnIndex, java.io.InputStream inputStream, int length)` | Not implemented.
    `void` | `updateBinaryStream​(int columnIndex, java.io.InputStream x, long length)` | `see updateBinaryStream`
    `void` | `updateBinaryStream​(java.lang.String columnLabel, java.io.InputStream x)` | `see updateBinaryStream`
    `void` | `updateBinaryStream​(java.lang.String columnName, java.io.InputStream inputStream, int length)` | Not implemented.
    `void` | `updateBinaryStream​(java.lang.String columnLabel, java.io.InputStream x, long length)` | `see updateBinaryStream`
    `void` | `updateBlob​(int columnIndex, java.io.InputStream inputStream)` | `see updateBlob`
    `void` | `updateBlob​(int columnIndex, java.io.InputStream inputStream, long length)` | `see updateBlob`
    `void` | `updateBlob​(int columnIndex, java.sql.Blob blob)` | Not implemented.
    `void` | `updateBlob​(java.lang.String columnLabel, java.io.InputStream inputStream)` | `see updateBlob`
    `void` | `updateBlob​(java.lang.String columnLabel, java.io.InputStream inputStream, long length)` | `see updateBlob`
    `void` | `updateBlob​(java.lang.String columnName, java.sql.Blob blob)` | Not implemented.
    `void` | `updateBoolean​(int columnIndex, boolean x)` | Not implemented.
    `void` | `updateBoolean​(java.lang.String columnName, boolean x)` | Not implemented.
    `void` | `updateByte​(int columnIndex, byte x)` | Not implemented.
    `void` | `updateByte​(java.lang.String columnName, byte x)` | Not implemented.
    `void` | `updateBytes​(int columnIndex, byte[] values)` | Not implemented.
    `void` | `updateBytes​(java.lang.String columnName, byte[] values)` | Not implemented.
    `void` | `updateCharacterStream​(int columnIndex, java.io.Reader x)` | `see updateCharacterStream`
    `void` | `updateCharacterStream​(int columnIndex, java.io.Reader reader, int length)` | Not implemented.
    `void` | `updateCharacterStream​(int columnIndex, java.io.Reader x, long length)` | `see updateCharacterStream`
    `void` | `updateCharacterStream​(java.lang.String columnLabel, java.io.Reader reader)` | `see updateCharacterStream`
    `void` | `updateCharacterStream​(java.lang.String columnName, java.io.Reader reader, int length)` | Not implemented.
    `void` | `updateCharacterStream​(java.lang.String columnLabel, java.io.Reader x, long length)` | `see updateCharacterStream`
    `void` | `updateClob​(int columnIndex, java.io.Reader reader)` | `see updateClob`
    `void` | `updateClob​(int columnIndex, java.io.Reader reader, long length)` | `see updateClob`
    `void` | `updateClob​(int columnIndex, java.sql.Clob clob)` | Not implemented.
    `void` | `updateClob​(java.lang.String columnLabel, java.io.Reader reader)` | `see updateClob`
    `void` | `updateClob​(java.lang.String columnLabel, java.io.Reader reader, long length)` | `see updateClob`
    `void` | `updateClob​(java.lang.String columnName, java.sql.Clob clob)` | Not implemented.
    `void` | `updateDate​(int columnIndex, java.sql.Date date)` | Not implemented.
    `void` | `updateDate​(java.lang.String columnName, java.sql.Date date)` | Not implemented.
    `void` | `updateDouble​(int columnIndex, double x)` | Not implemented.
    `void` | `updateDouble​(java.lang.String columnName, double x)` | Not implemented.
    `void` | `updateFloat​(int columnIndex, float x)` | Not implemented.
    `void` | `updateFloat​(java.lang.String columnName, float x)` | Not implemented.
    `void` | `updateInt​(int columnIndex, int x)` | Not implemented.
    `void` | `updateInt​(java.lang.String columnName, int x)` | Not implemented.
    `void` | `updateLong​(int columnIndex, long x)` | Not implemented.
    `void` | `updateLong​(java.lang.String columnName, long x)` | Not implemented.
    `void` | `updateNCharacterStream​(int columnIndex, java.io.Reader x)` | `see updateNCharacterStream`
    `void` | `updateNCharacterStream​(int columnIndex, java.io.Reader x, long length)` | `see updateNCharacterStream`
    `void` | `updateNCharacterStream​(java.lang.String columnLabel, java.io.Reader reader)` | `see updateNCharacterStream`
    `void` | `updateNCharacterStream​(java.lang.String columnLabel, java.io.Reader reader, long length)` | `see updateNCharacterStream`
    `void` | `updateNClob​(int columnIndex, java.io.Reader reader)` | `see updateNClob`
    `void` | `updateNClob​(int columnIndex, java.io.Reader reader, long length)` | `see updateNClob`
    `void` | `updateNClob​(int columnIndex, java.sql.NClob nClob)` | `see updateNClob`
    `void` | `updateNClob​(java.lang.String columnLabel, java.io.Reader reader)` | `see updateNClob`
    `void` | `updateNClob​(java.lang.String columnLabel, java.io.Reader reader, long length)` | `see updateNClob`
    `void` | `updateNClob​(java.lang.String columnLabel, java.sql.NClob nClob)` | `see updateNClob`
    `void` | `updateNString​(int columnIndex, java.lang.String nString)` | `see updateNString`
    `void` | `updateNString​(java.lang.String columnLabel, java.lang.String nString)` | `see updateNString`
    `void` | `updateNull​(int columnIndex)` | Not implemented.
    `void` | `updateNull​(java.lang.String columnName)` | Not implemented.
    `void` | `updateObject​(int columnIndex, java.lang.Object obj)` | Not implemented.
    `void` | `updateObject​(int columnIndex, java.lang.Object obj, int scale)` | Not implemented.
    `void` | `updateObject​(java.lang.String columnName, java.lang.Object obj)` | Not implemented.
    `void` | `updateObject​(java.lang.String columnName, java.lang.Object obj, int scale)` | Not implemented.
    `void` | `updateRef​(int columnIndex, java.sql.Ref ref)` | Not implemented.
    `void` | `updateRef​(java.lang.String columnName, java.sql.Ref ref)` | Not implemented.
    `void` | `updateRow()` | Not implemented.
    `void` | `updateRowId​(int columnIndex, java.sql.RowId x)` | `see updateRowId`
    `void` | `updateRowId​(java.lang.String columnLabel, java.sql.RowId x)` | `see updateRowId`
    `void` | `updateShort​(int columnIndex, short x)` | Not implemented.
    `void` | `updateShort​(java.lang.String columnName, short x)` | Not implemented.
    `void` | `updateSQLXML​(int columnIndex, java.sql.SQLXML xmlObject)` | `see updateSQLXML`
    `void` | `updateSQLXML​(java.lang.String columnLabel, java.sql.SQLXML xmlObject)` | `see updateSQLXML`
    `void` | `updateString​(int columnIndex, java.lang.String str)` | Not implemented.
    `void` | `updateString​(java.lang.String columnName, java.lang.String str)` | Not implemented.
    `void` | `updateTime​(int columnIndex, java.sql.Time time)` | Not implemented.
    `void` | `updateTime​(java.lang.String columnName, java.sql.Time time)` | Not implemented.
    `void` | `updateTimestamp​(int columnIndex, java.sql.Timestamp timestamp)` | Not implemented.
    `void` | `updateTimestamp​(java.lang.String columnName, java.sql.Timestamp timestamp)` | Not implemented.
    `boolean` | `wasNull()` | `see wasNull`

    - ### Methods inherited from class com.zoho.analytics.jdbc.ZohoAnalyticsWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.ResultSet

      `updateObject, updateObject, updateObject, updateObject`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### absolute

          public boolean absolute​(int row)
                           throws java.sql.SQLException

      `See absolute`
      Specified by:
        `absolute` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### afterLast

          public void afterLast()
                         throws java.sql.SQLException

      `See afterLast`
      Specified by:
        `afterLast` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### beforeFirst

          public void beforeFirst()
                           throws java.sql.SQLException

      `See beforeFirst`
      Specified by:
        `beforeFirst` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### cancelRowUpdates

          public void cancelRowUpdates()
                                throws java.sql.SQLException

      `See cancelRowUpdates`
      Specified by:
        `cancelRowUpdates` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### clearWarnings

          public void clearWarnings()
                             throws java.sql.SQLException

      `See clearWarnings`
      Specified by:
        `clearWarnings` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      `See close`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### deleteRow

          public void deleteRow()
                         throws java.sql.SQLException

      Not implemented.

      `See deleteRow`

      Specified by:
        `deleteRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### findColumn

          public int findColumn​(java.lang.String columnName)
                         throws java.sql.SQLException

      `See findColumn`
      Specified by:
        `findColumn` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### first

          public boolean first()
                        throws java.sql.SQLException

      `See first`
      Specified by:
        `first` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getArray

          public java.sql.Array getArray​(int columnIndex)
                                  throws java.sql.SQLException

      Not implemented.

      `See getArray`

      Specified by:
        `getArray` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getArray

          public java.sql.Array getArray​(java.lang.String columnName)
                                  throws java.sql.SQLException

      Not implemented.

      `See getArray`

      Specified by:
        `getArray` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getAsciiStream

          public java.io.InputStream getAsciiStream​(java.lang.String columnName)
                                             throws java.sql.SQLException

      `See getAsciiStream`
      Specified by:
        `getAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getAsciiStream

          public java.io.InputStream getAsciiStream​(int columnIndex)
                                             throws java.sql.SQLException

      `See getAsciiStream`
      Specified by:
        `getAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          public java.math.BigDecimal getBigDecimal​(java.lang.String columnName)
                                             throws java.sql.SQLException

      `See getBigDecimal`
      Specified by:
        `getBigDecimal` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          public java.math.BigDecimal getBigDecimal​(int columnIndex)
                                             throws java.sql.SQLException

      `See getBigDecimal`
      Specified by:
        `getBigDecimal` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          @Deprecated
          public java.math.BigDecimal getBigDecimal​(int columnIndex,
                                                    int scale)
                                             throws java.sql.SQLException

      Deprecated.
      `See getBigDecimal`
      Specified by:
        `getBigDecimal` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          @Deprecated
          public java.math.BigDecimal getBigDecimal​(java.lang.String columnName,
                                                    int scale)
                                             throws java.sql.SQLException

      Deprecated.
      `See getBigDecimal`
      Specified by:
        `getBigDecimal` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBinaryStream

          public java.io.InputStream getBinaryStream​(int columnIndex)
                                              throws java.sql.SQLException

      `See getBinaryStream`
      Specified by:
        `getBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBinaryStream

          public java.io.InputStream getBinaryStream​(java.lang.String columnName)
                                              throws java.sql.SQLException

      `See getBinaryStream`
      Specified by:
        `getBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBlob

          public java.sql.Blob getBlob​(int columnIndex)
                                throws java.sql.SQLException

      Not implemented.

      `See getBlob`

      Specified by:
        `getBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBlob

          public java.sql.Blob getBlob​(java.lang.String columnName)
                                throws java.sql.SQLException

      Not implemented.

      `See getBlob`

      Specified by:
        `getBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBoolean

          public boolean getBoolean​(int columnIndex)
                             throws java.sql.SQLException

      `See getBoolean`
      Specified by:
        `getBoolean` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBoolean

          public boolean getBoolean​(java.lang.String columnName)
                             throws java.sql.SQLException

      `See getBoolean`
      Specified by:
        `getBoolean` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getByte

          public byte getByte​(int columnIndex)
                       throws java.sql.SQLException

      `See getByte`
      Specified by:
        `getByte` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getByte

          public byte getByte​(java.lang.String columnName)
                       throws java.sql.SQLException

      `See getByte`
      Specified by:
        `getByte` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBytes

          public byte[] getBytes​(int columnIndex)
                          throws java.sql.SQLException

      `See getBytes`
      Specified by:
        `getBytes` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getBytes

          public byte[] getBytes​(java.lang.String columnName)
                          throws java.sql.SQLException

      `See getBytes`
      Specified by:
        `getBytes` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getCharacterStream

          public java.io.Reader getCharacterStream​(int columnIndex)
                                            throws java.sql.SQLException

      `See getCharacterStream`
      Specified by:
        `getCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getCharacterStream

          public java.io.Reader getCharacterStream​(java.lang.String columnName)
                                            throws java.sql.SQLException

      `See getCharacterStream`
      Specified by:
        `getCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getClob

          public java.sql.Clob getClob​(int param)
                                throws java.sql.SQLException

      Not implemented.

      `See getClob`

      Specified by:
        `getClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getClob

          public java.sql.Clob getClob​(java.lang.String str)
                                throws java.sql.SQLException

      Not implemented.

      `See getClob`

      Specified by:
        `getClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getConcurrency

          public int getConcurrency()
                             throws java.sql.SQLException

      `See getConcurrency`
      Specified by:
        `getConcurrency` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getCursorName

          public java.lang.String getCursorName()
                                         throws java.sql.SQLException

      `See getCursorName`
      Specified by:
        `getCursorName` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public java.sql.Date getDate​(int columnIndex)
                                throws java.sql.SQLException

      `See getDate`
      Specified by:
        `getDate` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public java.sql.Date getDate​(java.lang.String columnName)
                                throws java.sql.SQLException

      `See getDate`
      Specified by:
        `getDate` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public java.sql.Date getDate​(int param,
                                       java.util.Calendar calendar)
                                throws java.sql.SQLException

      Not implemented.

      `See getDate`

      Specified by:
        `getDate` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public java.sql.Date getDate​(java.lang.String str,
                                       java.util.Calendar calendar)
                                throws java.sql.SQLException

      Not implemented.

      `See getDate`

      Specified by:
        `getDate` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getDouble

          public double getDouble​(int columnIndex)
                           throws java.sql.SQLException

      `See getDouble`
      Specified by:
        `getDouble` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getDouble

          public double getDouble​(java.lang.String columnName)
                           throws java.sql.SQLException

      `See getDouble`
      Specified by:
        `getDouble` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getFetchDirection

          public int getFetchDirection()
                                throws java.sql.SQLException

      `See getFetchDirection`
      Specified by:
        `getFetchDirection` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getFetchSize

          public int getFetchSize()
                           throws java.sql.SQLException

      `See getFetchSize`
      Specified by:
        `getFetchSize` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getFloat

          public float getFloat​(int columnIndex)
                         throws java.sql.SQLException

      `See getFloat`
      Specified by:
        `getFloat` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getFloat

          public float getFloat​(java.lang.String columnName)
                         throws java.sql.SQLException

      `See getFloat`
      Specified by:
        `getFloat` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getInt

          public int getInt​(java.lang.String columnName)
                     throws java.sql.SQLException

      `See getInt`
      Specified by:
        `getInt` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getInt

          public int getInt​(int columnIndex)
                     throws java.sql.SQLException

      `See getInt`
      Specified by:
        `getInt` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getLong

          public long getLong​(int columnIndex)
                       throws java.sql.SQLException

      `See getLong`
      Specified by:
        `getLong` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getLong

          public long getLong​(java.lang.String columnName)
                       throws java.sql.SQLException

      `See getLong`
      Specified by:
        `getLong` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

      `See getMetaData`
      Specified by:
        `getMetaData` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public java.lang.Object getObject​(int columnIndex)
                                     throws java.sql.SQLException

      `See getObject`
      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public java.lang.Object getObject​(java.lang.String columnName)
                                     throws java.sql.SQLException

      `See getObject`
      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public java.lang.Object getObject​(int columnIndex,
                                            java.util.Map map)
                                     throws java.sql.SQLException

      `See getObject`
      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public java.lang.Object getObject​(java.lang.String columnName,
                                            java.util.Map map)
                                     throws java.sql.SQLException

      `See getObject`
      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getRef

          public java.sql.Ref getRef​(int columnIndex)
                              throws java.sql.SQLException

      Not implemented.

      `See getRef`

      Specified by:
        `getRef` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getRef

          public java.sql.Ref getRef​(java.lang.String columnName)
                              throws java.sql.SQLException

      Not implemented.

      `See getRef`

      Specified by:
        `getRef` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getRow

          public int getRow()
                     throws java.sql.SQLException

      `See getRow`
      Specified by:
        `getRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getShort

          public short getShort​(java.lang.String columnName)
                         throws java.sql.SQLException

      `See getShort`
      Specified by:
        `getShort` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getShort

          public short getShort​(int columnIndex)
                         throws java.sql.SQLException

      `See getShort`
      Specified by:
        `getShort` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getStatement

          public java.sql.Statement getStatement()
                                          throws java.sql.SQLException

      `See getStatement`
      Specified by:
        `getStatement` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getString

          public java.lang.String getString​(int columnIndex)
                                     throws java.sql.SQLException

      `See getString`
      Specified by:
        `getString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getString

          public java.lang.String getString​(java.lang.String columnName)
                                     throws java.sql.SQLException

      `See getString`
      Specified by:
        `getString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public java.sql.Time getTime​(java.lang.String columnName)
                                throws java.sql.SQLException

      `see getTime`
      Specified by:
        `getTime` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public java.sql.Time getTime​(int columnIndex)
                                throws java.sql.SQLException

      `see getTime`
      Specified by:
        `getTime` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public java.sql.Time getTime​(java.lang.String columnName,
                                       java.util.Calendar calendar)
                                throws java.sql.SQLException

      Not implemented.

      `see getTime`

      Specified by:
        `getTime` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public java.sql.Time getTime​(int columnIndex,
                                       java.util.Calendar calendar)
                                throws java.sql.SQLException

      Not implemented.

      `see getTime`

      Specified by:
        `getTime` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp​(java.lang.String columnName)
                                          throws java.sql.SQLException

      `see getTimestamp`
      Specified by:
        `getTimestamp` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp​(int columnIndex)
                                          throws java.sql.SQLException

      `see getTimestamp`
      Specified by:
        `getTimestamp` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp​(java.lang.String columnName,
                                                 java.util.Calendar calendar)
                                          throws java.sql.SQLException

      Not implemented.

      `see getTimestamp`

      Specified by:
        `getTimestamp` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp​(int columnIndex,
                                                 java.util.Calendar calendar)
                                          throws java.sql.SQLException

      Not implemented.

      `see getTimestamp`

      Specified by:
        `getTimestamp` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getType

          public int getType()
                      throws java.sql.SQLException

      `see getType`
      Specified by:
        `getType` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getURL

          public java.net.URL getURL​(int columnIndex)
                              throws java.sql.SQLException

      Not implemented.

      `see getURL`

      Specified by:
        `getURL` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getURL

          public java.net.URL getURL​(java.lang.String columnName)
                              throws java.sql.SQLException

      Not implemented.

      `see getURL`

      Specified by:
        `getURL` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getUnicodeStream

          @Deprecated
          public java.io.InputStream getUnicodeStream​(java.lang.String columnName)
                                               throws java.sql.SQLException

      Deprecated.
      Not implemented.

      `see getUnicodeStream`

      Specified by:
        `getUnicodeStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getUnicodeStream

          @Deprecated
          public java.io.InputStream getUnicodeStream​(int columnIndex)
                                               throws java.sql.SQLException

      Deprecated.
      Not implemented.

      `see getUnicodeStream`

      Specified by:
        `getUnicodeStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

      `see getWarnings`
      Specified by:
        `getWarnings` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### insertRow

          public void insertRow()
                         throws java.sql.SQLException

      Not implemented.

      `see insertRow`

      Specified by:
        `insertRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### isAfterLast

          public boolean isAfterLast()
                              throws java.sql.SQLException

      `see isAfterLast`
      Specified by:
        `isAfterLast` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### isBeforeFirst

          public boolean isBeforeFirst()
                                throws java.sql.SQLException

      `see isBeforeFirst`
      Specified by:
        `isBeforeFirst` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### isFirst

          public boolean isFirst()
                          throws java.sql.SQLException

      `see isFirst`
      Specified by:
        `isFirst` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### isLast

          public boolean isLast()
                         throws java.sql.SQLException

      `see isLast`
      Specified by:
        `isLast` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### last

          public boolean last()
                       throws java.sql.SQLException

      `see last`
      Specified by:
        `last` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### moveToCurrentRow

          public void moveToCurrentRow()
                                throws java.sql.SQLException

      `see moveToCurrentRow`
      Specified by:
        `moveToCurrentRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### moveToInsertRow

          public void moveToInsertRow()
                               throws java.sql.SQLException

      `see moveToInsertRow`
      Specified by:
        `moveToInsertRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### next

          public boolean next()
                       throws java.sql.SQLException

      `see next`
      Specified by:
        `next` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### previous

          public boolean previous()
                           throws java.sql.SQLException

      `see previous`
      Specified by:
        `previous` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### refreshRow

          public void refreshRow()
                          throws java.sql.SQLException

      `see refreshRow`
      Specified by:
        `refreshRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### relative

          public boolean relative​(int rows)
                           throws java.sql.SQLException

      `see relative`
      Specified by:
        `relative` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### rowDeleted

          public boolean rowDeleted()
                             throws java.sql.SQLException

      Not implemented.

      `see rowDeleted`

      Specified by:
        `rowDeleted` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### rowInserted

          public boolean rowInserted()
                              throws java.sql.SQLException

      Not implemented.

      `see rowInserted`

      Specified by:
        `rowInserted` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### rowUpdated

          public boolean rowUpdated()
                             throws java.sql.SQLException

      Not implemented.

      `see rowUpdated`

      Specified by:
        `rowUpdated` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### setFetchDirection

          public void setFetchDirection​(int direction)
                                 throws java.sql.SQLException

      `see setFetchDirection`
      Specified by:
        `setFetchDirection` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### setFetchSize

          public void setFetchSize​(int size)
                            throws java.sql.SQLException

      `see setFetchSize`
      Specified by:
        `setFetchSize` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateArray

          public void updateArray​(java.lang.String columnName,
                                  java.sql.Array array)
                           throws java.sql.SQLException

      Not implemented.

      `see updateArray`

      Specified by:
        `updateArray` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateArray

          public void updateArray​(int columnIndex,
                                  java.sql.Array array)
                           throws java.sql.SQLException

      Not implemented.

      `see updateArray`

      Specified by:
        `updateArray` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateAsciiStream

          public void updateAsciiStream​(java.lang.String columnName,
                                        java.io.InputStream inputStream,
                                        int length)
                                 throws java.sql.SQLException

      Not implemented.

      `see updateAsciiStream`

      Specified by:
        `updateAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateAsciiStream

          public void updateAsciiStream​(int columnIndex,
                                        java.io.InputStream inputStream,
                                        int length)
                                 throws java.sql.SQLException

      Not implemented.

      `see updateAsciiStream`

      Specified by:
        `updateAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBigDecimal

          public void updateBigDecimal​(java.lang.String columnName,
                                       java.math.BigDecimal bigDecimal)
                                throws java.sql.SQLException

      Not implemented.

      `see updateBigDecimal`

      Specified by:
        `updateBigDecimal` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBigDecimal

          public void updateBigDecimal​(int columnIndex,
                                       java.math.BigDecimal bigDecimal)
                                throws java.sql.SQLException

      Not implemented.

      `see updateBigDecimal`

      Specified by:
        `updateBigDecimal` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBinaryStream

          public void updateBinaryStream​(int columnIndex,
                                         java.io.InputStream inputStream,
                                         int length)
                                  throws java.sql.SQLException

      Not implemented.

      `see updateBinaryStream`

      Specified by:
        `updateBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBinaryStream

          public void updateBinaryStream​(java.lang.String columnName,
                                         java.io.InputStream inputStream,
                                         int length)
                                  throws java.sql.SQLException

      Not implemented.

      `see updateBinaryStream`

      Specified by:
        `updateBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBlob

          public void updateBlob​(int columnIndex,
                                 java.sql.Blob blob)
                          throws java.sql.SQLException

      Not implemented.

      `see updateBlob`

      Specified by:
        `updateBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBlob

          public void updateBlob​(java.lang.String columnName,
                                 java.sql.Blob blob)
                          throws java.sql.SQLException

      Not implemented.

      `see updateBlob`

      Specified by:
        `updateBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBoolean

          public void updateBoolean​(int columnIndex,
                                    boolean x)
                             throws java.sql.SQLException

      Not implemented.

      `see updateBoolean`

      Specified by:
        `updateBoolean` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBoolean

          public void updateBoolean​(java.lang.String columnName,
                                    boolean x)
                             throws java.sql.SQLException

      Not implemented.

      `see updateBoolean`

      Specified by:
        `updateBoolean` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateByte

          public void updateByte​(int columnIndex,
                                 byte x)
                          throws java.sql.SQLException

      Not implemented.

      `see updateByte`

      Specified by:
        `updateByte` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateByte

          public void updateByte​(java.lang.String columnName,
                                 byte x)
                          throws java.sql.SQLException

      Not implemented.

      `see updateByte`

      Specified by:
        `updateByte` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBytes

          public void updateBytes​(int columnIndex,
                                  byte[] values)
                           throws java.sql.SQLException

      Not implemented.

      `see updateBytes`

      Specified by:
        `updateBytes` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBytes

          public void updateBytes​(java.lang.String columnName,
                                  byte[] values)
                           throws java.sql.SQLException

      Not implemented.

      `see updateBytes`

      Specified by:
        `updateBytes` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateCharacterStream

          public void updateCharacterStream​(int columnIndex,
                                            java.io.Reader reader,
                                            int length)
                                     throws java.sql.SQLException

      Not implemented.

      `see updateCharacterStream`

      Specified by:
        `updateCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateCharacterStream

          public void updateCharacterStream​(java.lang.String columnName,
                                            java.io.Reader reader,
                                            int length)
                                     throws java.sql.SQLException

      Not implemented.

      `see updateCharacterStream`

      Specified by:
        `updateCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateClob

          public void updateClob​(java.lang.String columnName,
                                 java.sql.Clob clob)
                          throws java.sql.SQLException

      Not implemented.

      `see updateClob`

      Specified by:
        `updateClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateClob

          public void updateClob​(int columnIndex,
                                 java.sql.Clob clob)
                          throws java.sql.SQLException

      Not implemented.

      `see updateClob`

      Specified by:
        `updateClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateDate

          public void updateDate​(int columnIndex,
                                 java.sql.Date date)
                          throws java.sql.SQLException

      Not implemented.

      `see updateDate`

      Specified by:
        `updateDate` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateDate

          public void updateDate​(java.lang.String columnName,
                                 java.sql.Date date)
                          throws java.sql.SQLException

      Not implemented.

      `see updateDate`

      Specified by:
        `updateDate` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateDouble

          public void updateDouble​(int columnIndex,
                                   double x)
                            throws java.sql.SQLException

      Not implemented.

      `see updateDouble`

      Specified by:
        `updateDouble` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateDouble

          public void updateDouble​(java.lang.String columnName,
                                   double x)
                            throws java.sql.SQLException

      Not implemented.

      `see updateDouble`

      Specified by:
        `updateDouble` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateFloat

          public void updateFloat​(java.lang.String columnName,
                                  float x)
                           throws java.sql.SQLException

      Not implemented.

      `see updateFloat`

      Specified by:
        `updateFloat` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateFloat

          public void updateFloat​(int columnIndex,
                                  float x)
                           throws java.sql.SQLException

      Not implemented.

      `see updateFloat`

      Specified by:
        `updateFloat` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateInt

          public void updateInt​(java.lang.String columnName,
                                int x)
                         throws java.sql.SQLException

      Not implemented.

      `see updateInt`

      Specified by:
        `updateInt` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateInt

          public void updateInt​(int columnIndex,
                                int x)
                         throws java.sql.SQLException

      Not implemented.

      `see updateInt`

      Specified by:
        `updateInt` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateLong

          public void updateLong​(int columnIndex,
                                 long x)
                          throws java.sql.SQLException

      Not implemented.

      `see updateLong`

      Specified by:
        `updateLong` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateLong

          public void updateLong​(java.lang.String columnName,
                                 long x)
                          throws java.sql.SQLException

      Not implemented.

      `see updateLong`

      Specified by:
        `updateLong` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNull

          public void updateNull​(java.lang.String columnName)
                          throws java.sql.SQLException

      Not implemented.

      `see updateNull`

      Specified by:
        `updateNull` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNull

          public void updateNull​(int columnIndex)
                          throws java.sql.SQLException

      Not implemented.

      `see updateNull`

      Specified by:
        `updateNull` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(java.lang.String columnName,
                                   java.lang.Object obj)
                            throws java.sql.SQLException

      Not implemented.

      `see rowUpdated`

      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(int columnIndex,
                                   java.lang.Object obj)
                            throws java.sql.SQLException

      Not implemented.

      `see updateObject`

      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(int columnIndex,
                                   java.lang.Object obj,
                                   int scale)
                            throws java.sql.SQLException

      Not implemented.

      `see updateObject`

      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(java.lang.String columnName,
                                   java.lang.Object obj,
                                   int scale)
                            throws java.sql.SQLException

      Not implemented.

      `see updateObject`

      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateRef

          public void updateRef​(int columnIndex,
                                java.sql.Ref ref)
                         throws java.sql.SQLException

      Not implemented.

      `see updateRef`

      Specified by:
        `updateRef` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateRef

          public void updateRef​(java.lang.String columnName,
                                java.sql.Ref ref)
                         throws java.sql.SQLException

      Not implemented.

      `see updateRef`

      Specified by:
        `updateRef` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateRow

          public void updateRow()
                         throws java.sql.SQLException

      Not implemented.

      `see updateRow`

      Specified by:
        `updateRow` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateShort

          public void updateShort​(int columnIndex,
                                  short x)
                           throws java.sql.SQLException

      Not implemented.

      `see updateShort`

      Specified by:
        `updateShort` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateShort

          public void updateShort​(java.lang.String columnName,
                                  short x)
                           throws java.sql.SQLException

      Not implemented.

      `see updateShort`

      Specified by:
        `updateShort` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateString

          public void updateString​(int columnIndex,
                                   java.lang.String str)
                            throws java.sql.SQLException

      Not implemented.

      `see updateString`

      Specified by:
        `updateString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateString

          public void updateString​(java.lang.String columnName,
                                   java.lang.String str)
                            throws java.sql.SQLException

      Not implemented.

      `see updateString`

      Specified by:
        `updateString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateTime

          public void updateTime​(java.lang.String columnName,
                                 java.sql.Time time)
                          throws java.sql.SQLException

      Not implemented.

      `see rowUpdated`

      Specified by:
        `updateTime` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateTime

          public void updateTime​(int columnIndex,
                                 java.sql.Time time)
                          throws java.sql.SQLException

      Not implemented.

      `see updateTime`

      Specified by:
        `updateTime` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateTimestamp

          public void updateTimestamp​(java.lang.String columnName,
                                      java.sql.Timestamp timestamp)
                               throws java.sql.SQLException

      Not implemented.

      `see updateTimestamp`

      Specified by:
        `updateTimestamp` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateTimestamp

          public void updateTimestamp​(int columnIndex,
                                      java.sql.Timestamp timestamp)
                               throws java.sql.SQLException

      Not implemented.

      `see updateTimestamp`

      Specified by:
        `updateTimestamp` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### wasNull

          public boolean wasNull()
                          throws java.sql.SQLException

      `see wasNull`
      Specified by:
        `wasNull` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getRowId

          public java.sql.RowId getRowId​(int columnIndex)
                                  throws java.sql.SQLException

      `see getRowId`
      Specified by:
        `getRowId` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getRowId

          public java.sql.RowId getRowId​(java.lang.String columnLabel)
                                  throws java.sql.SQLException

      `see getRowId`
      Specified by:
        `getRowId` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateRowId

          public void updateRowId​(int columnIndex,
                                  java.sql.RowId x)
                           throws java.sql.SQLException

      `see updateRowId`
      Specified by:
        `updateRowId` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateRowId

          public void updateRowId​(java.lang.String columnLabel,
                                  java.sql.RowId x)
                           throws java.sql.SQLException

      `see updateRowId`
      Specified by:
        `updateRowId` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getHoldability

          public int getHoldability()
                             throws java.sql.SQLException

      `see getHoldability`
      Specified by:
        `getHoldability` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      `see isClosed`
      Specified by:
        `isClosed` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNString

          public void updateNString​(int columnIndex,
                                    java.lang.String nString)
                             throws java.sql.SQLException

      `see updateNString`
      Specified by:
        `updateNString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNString

          public void updateNString​(java.lang.String columnLabel,
                                    java.lang.String nString)
                             throws java.sql.SQLException

      `see updateNString`
      Specified by:
        `updateNString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNClob

          public void updateNClob​(int columnIndex,
                                  java.sql.NClob nClob)
                           throws java.sql.SQLException

      `see updateNClob`
      Specified by:
        `updateNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNClob

          public void updateNClob​(java.lang.String columnLabel,
                                  java.sql.NClob nClob)
                           throws java.sql.SQLException

      `see updateNClob`
      Specified by:
        `updateNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getNClob

          public java.sql.NClob getNClob​(int columnIndex)
                                  throws java.sql.SQLException

      `see getNClob`
      Specified by:
        `getNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getNClob

          public java.sql.NClob getNClob​(java.lang.String columnLabel)
                                  throws java.sql.SQLException

      `see getNClob`
      Specified by:
        `getNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getSQLXML

          public java.sql.SQLXML getSQLXML​(int columnIndex)
                                    throws java.sql.SQLException

      `see getSQLXML`
      Specified by:
        `getSQLXML` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getSQLXML

          public java.sql.SQLXML getSQLXML​(java.lang.String columnLabel)
                                    throws java.sql.SQLException

      `see getSQLXML`
      Specified by:
        `getSQLXML` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateSQLXML

          public void updateSQLXML​(int columnIndex,
                                   java.sql.SQLXML xmlObject)
                            throws java.sql.SQLException

      `see updateSQLXML`
      Specified by:
        `updateSQLXML` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateSQLXML

          public void updateSQLXML​(java.lang.String columnLabel,
                                   java.sql.SQLXML xmlObject)
                            throws java.sql.SQLException

      `see updateSQLXML`
      Specified by:
        `updateSQLXML` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getNString

          public java.lang.String getNString​(int columnIndex)
                                      throws java.sql.SQLException

      `see getNString`
      Specified by:
        `getNString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getNString

          public java.lang.String getNString​(java.lang.String columnLabel)
                                      throws java.sql.SQLException

      `see getNString`
      Specified by:
        `getNString` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getNCharacterStream

          public java.io.Reader getNCharacterStream​(int columnIndex)
                                             throws java.sql.SQLException

      `see getNCharacterStream`
      Specified by:
        `getNCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getNCharacterStream

          public java.io.Reader getNCharacterStream​(java.lang.String columnLabel)
                                             throws java.sql.SQLException

      `see getNCharacterStream`
      Specified by:
        `getNCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNCharacterStream

          public void updateNCharacterStream​(int columnIndex,
                                             java.io.Reader x,
                                             long length)
                                      throws java.sql.SQLException

      `see updateNCharacterStream`
      Specified by:
        `updateNCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNCharacterStream

          public void updateNCharacterStream​(java.lang.String columnLabel,
                                             java.io.Reader reader,
                                             long length)
                                      throws java.sql.SQLException

      `see updateNCharacterStream`
      Specified by:
        `updateNCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateAsciiStream

          public void updateAsciiStream​(int columnIndex,
                                        java.io.InputStream x,
                                        long length)
                                 throws java.sql.SQLException

      `see updateAsciiStream`
      Specified by:
        `updateAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateAsciiStream

          public void updateAsciiStream​(java.lang.String columnLabel,
                                        java.io.InputStream x,
                                        long length)
                                 throws java.sql.SQLException

      `see updateAsciiStream`
      Specified by:
        `updateAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBinaryStream

          public void updateBinaryStream​(int columnIndex,
                                         java.io.InputStream x,
                                         long length)
                                  throws java.sql.SQLException

      `see updateBinaryStream`
      Specified by:
        `updateBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBinaryStream

          public void updateBinaryStream​(java.lang.String columnLabel,
                                         java.io.InputStream x,
                                         long length)
                                  throws java.sql.SQLException

      `see updateBinaryStream`
      Specified by:
        `updateBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateCharacterStream

          public void updateCharacterStream​(int columnIndex,
                                            java.io.Reader x,
                                            long length)
                                     throws java.sql.SQLException

      `see updateCharacterStream`
      Specified by:
        `updateCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateCharacterStream

          public void updateCharacterStream​(java.lang.String columnLabel,
                                            java.io.Reader x,
                                            long length)
                                     throws java.sql.SQLException

      `see updateCharacterStream`
      Specified by:
        `updateCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBlob

          public void updateBlob​(int columnIndex,
                                 java.io.InputStream inputStream,
                                 long length)
                          throws java.sql.SQLException

      `see updateBlob`
      Specified by:
        `updateBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBlob

          public void updateBlob​(java.lang.String columnLabel,
                                 java.io.InputStream inputStream,
                                 long length)
                          throws java.sql.SQLException

      `see updateBlob`
      Specified by:
        `updateBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateClob

          public void updateClob​(int columnIndex,
                                 java.io.Reader reader,
                                 long length)
                          throws java.sql.SQLException

      `see updateClob`
      Specified by:
        `updateClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateClob

          public void updateClob​(java.lang.String columnLabel,
                                 java.io.Reader reader,
                                 long length)
                          throws java.sql.SQLException

      `see updateClob`
      Specified by:
        `updateClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNClob

          public void updateNClob​(int columnIndex,
                                  java.io.Reader reader,
                                  long length)
                           throws java.sql.SQLException

      `see updateNClob`
      Specified by:
        `updateNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNClob

          public void updateNClob​(java.lang.String columnLabel,
                                  java.io.Reader reader,
                                  long length)
                           throws java.sql.SQLException

      `see updateNClob`
      Specified by:
        `updateNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNCharacterStream

          public void updateNCharacterStream​(int columnIndex,
                                             java.io.Reader x)
                                      throws java.sql.SQLException

      `see updateNCharacterStream`
      Specified by:
        `updateNCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNCharacterStream

          public void updateNCharacterStream​(java.lang.String columnLabel,
                                             java.io.Reader reader)
                                      throws java.sql.SQLException

      `see updateNCharacterStream`
      Specified by:
        `updateNCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateAsciiStream

          public void updateAsciiStream​(int columnIndex,
                                        java.io.InputStream x)
                                 throws java.sql.SQLException

      `see updateAsciiStream`
      Specified by:
        `updateAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBinaryStream

          public void updateBinaryStream​(int columnIndex,
                                         java.io.InputStream x)
                                  throws java.sql.SQLException

      `see updateBinaryStream`
      Specified by:
        `updateBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateCharacterStream

          public void updateCharacterStream​(int columnIndex,
                                            java.io.Reader x)
                                     throws java.sql.SQLException

      `see updateCharacterStream`
      Specified by:
        `updateCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateAsciiStream

          public void updateAsciiStream​(java.lang.String columnLabel,
                                        java.io.InputStream x)
                                 throws java.sql.SQLException

      `see updateAsciiStream`
      Specified by:
        `updateAsciiStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBinaryStream

          public void updateBinaryStream​(java.lang.String columnLabel,
                                         java.io.InputStream x)
                                  throws java.sql.SQLException

      `see updateBinaryStream`
      Specified by:
        `updateBinaryStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateCharacterStream

          public void updateCharacterStream​(java.lang.String columnLabel,
                                            java.io.Reader reader)
                                     throws java.sql.SQLException

      `see updateCharacterStream`
      Specified by:
        `updateCharacterStream` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBlob

          public void updateBlob​(int columnIndex,
                                 java.io.InputStream inputStream)
                          throws java.sql.SQLException

      `see updateBlob`
      Specified by:
        `updateBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateBlob

          public void updateBlob​(java.lang.String columnLabel,
                                 java.io.InputStream inputStream)
                          throws java.sql.SQLException

      `see updateBlob`
      Specified by:
        `updateBlob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateClob

          public void updateClob​(int columnIndex,
                                 java.io.Reader reader)
                          throws java.sql.SQLException

      `see updateClob`
      Specified by:
        `updateClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateClob

          public void updateClob​(java.lang.String columnLabel,
                                 java.io.Reader reader)
                          throws java.sql.SQLException

      `see updateClob`
      Specified by:
        `updateClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNClob

          public void updateNClob​(int columnIndex,
                                  java.io.Reader reader)
                           throws java.sql.SQLException

      `see updateNClob`
      Specified by:
        `updateNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### updateNClob

          public void updateNClob​(java.lang.String columnLabel,
                                  java.io.Reader reader)
                           throws java.sql.SQLException

      `see updateNClob`
      Specified by:
        `updateNClob` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public <T> T getObject​(int columnIndex,
                                 java.lang.Class<T> type)
                          throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public <T> T getObject​(java.lang.String columnLabel,
                                 java.lang.Class<T> type)
                          throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Throws:
        `java.sql.SQLException`